# image: gradle:7.4.2-jdk11

# test-snyk:
#   script:
#     - curl https://static.snyk.io/cli/latest/snyk-linux -o snyk
#     - chmod +x ./snyk
#     - ./snyk auth $SNYK_TOKEN
#     - ./snyk monitor --all-sub-projects --remote-repo-url="$CI_PROJECT_ROOT_NAMESPACE/$CI_PROJECT_TITLE"

dependency_scanning: # Scans project for vulnerabilities in projects and fails if upgradable high/critical is found
  image: 
    name: snyk/snyk:gradle-jdk17
    entrypoint: [""]

  script:
    - snyk auth $SNYK_TOKEN
    - snyk test --all-sub-projects